;;;; -*- Mode: LISP; Syntax: ANSI-Common-Lisp; Base: 10 -*-

;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          cl-audioscrobbler.asd
;;;; Purpose:       ASDF definition for cl-audioscrobbler
;;;; Programmer:    Nicolas Lamirault <nicolas.lamirault@gmail.com>
;;;;
;;;; This file, part of cl-audioscrobbler, is Copyright (c) 2007 by Nicolas Lamirault
;;;;
;;;; cl-audioscrobbler users are granted the rights to distribute and use this software
;;;; as governed by the terms of the Lisp Lesser GNU Public License
;;;; (http://opensource.franz.com/preamble.html), also known as the LLGPL.
;;;;
;;;; *************************************************************************


(in-package :asdf)


(defsystem cl-audioscrobbler
    :name "cl-audioscrobbler"
    :author "Nicolas Lamirault <nicolas.lamirault@gmail.com>"
    :maintainer "Nicolas Lamirault <nicolas.lamirault@gmail.com>"
    :version "0.2"
    :licence "Lisp Lesser GNU General Public License"
    :description "Common Lisp wrapper for the Audioscrobbler/Last.fm web service."
    :depends-on (:drakma :cl-ppcre :s-xml :md5 :url-rewrite)
    :components
    ((:module :src
              :components
              ((:file "package")
               (:file "specials" :depends-on ("package"))
               (:file "tools" :depends-on ("specials"))
               (:file "dao" :depends-on ("package"))
               (:file "album" :depends-on ("tools"))
               (:file "artist" :depends-on ("tools"))
               (:file "tag" :depends-on ("tools"))
               (:file "track" :depends-on ("tools"))
               (:file "user" :depends-on ("tools"))
               (:file "audioscrobbler" :depends-on ("specials" "tools" "dao"))))))
